Applicable for placing contract TP/SL orders
Request URL
POST https://cloud-api.wooxpro.com/contract/private/submit-tp-sl-order
Request Limit
See Detailed Rate LimitRequest Parameter
Request
Response Data
Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Applicable for placing contract TP/SL orders
POST https://cloud-api.wooxpro.com/contract/private/submit-tp-sl-order
Request
curl
-H 'X-API-KEY:{{AccessKey}}'
-H 'X-API-TIMESTAMP:{{currentTime}}'
-H 'X-API-SIGN:{{SIGN}}'
-X POST -d '{
"symbol":"ETHUSDT",
"side":2,
"type":"take_profit",
"size":10,
"trigger_price":"2000",
"executive_price":"1450",
"price_type":1,
"plan_category":1,
"client_order_id":"123456789",
"category":"limit"
}'
https://cloud-api.wooxpro.com/contract/private/submit-plan-order
| Field | Type | Required? | Description |
|---|---|---|---|
| symbol | String | Yes | Symbol of the contract(like BTCUSDT) |
| type | String | Yes | Order type - take_profit - stop_loss |
| side | Int | Yes | Order side |
| size | Int | No | Order size (Number of contracts) Default the size of position |
| trigger_price | String | Yes | Trigger price |
| executive_price | String | Yes | Execution price |
| price_type | Int | Yes | Trigger price type - 1=last_price- 2=fair_price |
| plan_category | Int | No | TP/SL type - 1=TP/SL- 2=Position TP/SL(default) |
| client_order_id | String | No | Client-defined OrderId(A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters) |
| category | String | No | Trigger order type, position TP/SL default market- limit- market |
Response
{
"code": 1000,
"message": "Ok",
"data": {
"order_id": "220609666322019",
"client_order_id": "123456789"
},
"trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
| Field | Type | Description |
|---|---|---|
| order_id | String | Order ID |
| client_order_id | String | Client Order ID |